### Enumeration

# Qmi LocSessionStatus

since: 1.22

#### Declaration

    enum Qmi.LocSessionStatus

#### Description [src]

Status of a received session indication.

Available since: 1.22

#### Members

`QMI_LOC_SESSION_STATUS_SUCCESS`

  Success.

  - Value: `0`
  - Available since: 1.22
`QMI_LOC_SESSION_STATUS_IN_PROGRESS`

  Operation in Progress.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_SESSION_STATUS_GENERAL_FAILURE`

  General Failure.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_SESSION_STATUS_TIMEOUT`

  Timeout.

  - Value: `3`
  - Available since: 1.22
`QMI_LOC_SESSION_STATUS_USER_ENDED`

  User ended.

  - Value: `4`
  - Available since: 1.22
`QMI_LOC_SESSION_STATUS_BAD_PARAMETER`

  Bad Parameter.

  - Value: `5`
  - Available since: 1.22
`QMI_LOC_SESSION_STATUS_PHONE_OFFLINE`

  Phone is offline.

  - Value: `6`
  - Available since: 1.22
`QMI_LOC_SESSION_STATUS_ENGINE_LOCKED`

  Engine is locked.

  - Value: `6`
  - Available since: 1.22

#### Type functions

###### qmi_loc_session_status_get_string

Gets the nickname string for the `QmiLocSessionStatus` specified at `val`.

since: 1.22